package highway;

import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.SingleGraph;
import org.graphstream.stream.file.FileSource;
import org.graphstream.stream.file.FileSourceDGS;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author Yoann Eichelberger
 */
public class App {

    public static void main(String[] args) {
        Graph graph = new SingleGraph("Highway");
        readResource("highway.dgs", graph, new FileSourceDGS());
        graph.display(false);
    }

    private static void readResource(String resourceName, Graph graph, FileSource source) {
        try (InputStream stream = App.class.getClassLoader().getResourceAsStream(resourceName)) {
            source.addSink(graph);
            source.readAll(stream);
        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            source.removeSink(graph);
        }
    }
}
